Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.io
Interface InputStreamSource

All Known Subinterfaces:
  ContextResource, Resource, WritableResource

All Known Implementing Classes:
  AbstractFileResolvingResource, AbstractResource, ByteArrayResource, ClassPathResource, DescriptiveResource, FileSystemResource, InputStreamResource, PortletContextResource, ServletContextResource, UrlResource, VfsResource

    public interface InputStreamSource

Simple interface for objects that are sources for an `InputStream`.

This is the base interface for Spring's more extensive `Resource` interface.

For single-use streams, `InputStreamResource` can be used for any given `InputStream`. Spring's `ByteArrayResource` or any file-based `Resource` implementation can be used as a concrete instance, allowing one to read the underlying content stream multiple times. This makes this interface useful as an abstract content source for mail attachments, for example.

Since:
  20.01.2004
Author:
  Juergen Hoeller
See Also:
  `InputStream`, `Resource`, `InputStreamResource`, `ByteArrayResource`

Method Summary
`InputStream` | `getInputStream()` Return an `InputStream`.

Method Detail

### getInputStream

    InputStream getInputStream()
                               throws IOException

  Return an `InputStream`.

  It is expected that each call creates a fresh stream.

  This requirement is particularly important when you consider an API such as JavaMail, which needs to be able to read the stream multiple times when creating mail attachments. For such a use case, it is required that each `getInputStream()` call returns a fresh stream.

  Returns:
    the input stream for the underlying resource (must not be `null`)
  Throws:
    `IOException` - if the stream could not be opened
  See Also:
    `MimeMessageHelper.addAttachment(String, InputStreamSource)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD